Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454994 - Rebase to openldap-2.3.43
Summary: Rebase to openldap-2.3.43
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHEL5u3_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-07-11 10:51 UTC by Jan Safranek
Modified: 2011-01-04 10:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
OpenLDAP has been re-based to upstream version 2.3.43. This applies several upstream bug fixes, including: * The init script now reports a warning if the slapd daemon cannot read a TLS certificate file. * All libraries in openldap-debuginfo package are now unstripped. * Uninstalling the openldap-devel package no longer breaks openldap libraries. Red Hat now distributes additional overlays for OpenLDAP server. Except for syncprov, all overlays can be found in separate openldap-servers-overlays packages, compiled as dynamically loadable modules. The syncprov overlay is statically linked to the OpenLDAP server to maintain compatibility with older OpenLDAP releases.
Clone Of:
Environment:
Last Closed: 2009-01-20 20:53:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
the changelog (deleted)
2008-07-11 10:51 UTC, Jan Safranek
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0090 normal SHIPPED_LIVE openldap bug fix and enhancement update 2009-01-20 16:04:26 UTC

Description Jan Safranek 2008-07-11 10:51:21 UTC
The openldap version we ship in RHEL 5 (openldap-2.3.27) is really anicent, we
should rebase it to recent openldap-2.3.42, which is maybe the last release in
2.3.x branch (maintenance branch, real development happens in HEAD and 2.4.x).

There is no API/ABI breaker, no soname bump.

See attached changelog for detailed description what has changed (really lot of
bugfixes, some of them critical).

Comment 1 Jan Safranek 2008-07-11 10:51:22 UTC
Created attachment 311560 [details]
the changelog

Comment 2 RHEL Product and Program Management 2008-07-11 10:59:33 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Denise Dumas 2008-07-11 13:50:05 UTC
Note that openldap is already an approved component and there are 9 outstanding
bugfixes that we would otherwise have to backport.

Comment 6 Jan Safranek 2008-07-17 10:10:37 UTC
I created preview of rebased openldap at
http://people.redhat.com/jsafrane/bugs/454994/. Note that the package does not
contain all fixes  scheduled for RHEL 5.3. It's should contain all bugfixes for
RHEL 5.2 and it should not introduce any regression.

Comment 7 Jan Safranek 2008-07-21 13:50:15 UTC
In the meantime upstream released ver. 2.3.43, fixing five additional bugs, two
of them serious, so we should rebase to it.

Comment 11 Jan Safranek 2008-11-03 12:15:41 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The OpenLDAP package has been rebased to the latest available bugfix release. 

In addition, we now distribute additional overlays for OpenLDAP server. All except 'syncprov' overlay can be found in separate openldap-servers-overlays package, compiled as dynamically loadable modules. 'Syncprov' overlay is statically linked to OpenLDAP server to keep compatibility with our older OpenLDAP releases.

No other new features have been added with this release.

Comment 12 Don Domingo 2008-11-19 04:26:06 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,5 +1,10 @@
-The OpenLDAP package has been rebased to the latest available bugfix release. 
+OpenLDAP has been re-based to upstream version 2.3.43. This applies several upstream bug fixes, including:
 
-In addition, we now distribute additional overlays for OpenLDAP server. All except 'syncprov' overlay can be found in separate openldap-servers-overlays package, compiled as dynamically loadable modules. 'Syncprov' overlay is statically linked to OpenLDAP server to keep compatibility with our older OpenLDAP releases.
+* The init script now reports a warning if the slapd daemon cannot read a TLS certificate file.
 
-No other new features have been added with this release.+* All libraries in openldap-debuginfo package are now unstripped.
+
+* Uninstalling the openldap-devel package no longer breaks openldap libraries. 
+
+
+Red Hat now distributes additional overlays for OpenLDAP server. Except for syncprov, all overlays can be found in separate openldap-servers-overlays packages, compiled as dynamically loadable modules. The syncprov overlay is statically linked to the OpenLDAP server to maintain compatibility with older OpenLDAP releases.

Comment 15 errata-xmlrpc 2009-01-20 20:53:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0090.html


Note You need to log in before you can comment on or make changes to this bug.